All : ascii.exe hexlist.exe bios.exe copyit.exe count.exe deldir.exe delete.exe\
 dirattr.exe dirs.exe drives.exe drivespc.exe fatfree.exe fatfree2.exe\
 fatfree3.exe findcode.exe finddoc.exe findvar.exe findy.exe freedisk.exe\
 keytrap.obj listvols.exe lowerdtr.exe makdir.exe mkserial.exe mkvolbpb.exe\
 nameit.exe newdir.exe newname.exe newvol.exe parse.exe raisedtr.exe\
 rdserial.exe rdvolbpb.exe readdll2.exe rendir.exe renvol.exe runprog.exe\
 setattr.exe sorttest.exe stree.exe swapbas.obj totalspc.exe touch.exe\
 touchdir.exe touchvol.exe treedel.exe typea.exe typey.exe whatis.exe\
 whereis.exe xcount.exe xdir.exe xtree.exe zsort.exe

Swapbas.Obj :: Swapbas.Asm
 Tasm /t Swapbas;

Keytrap.Obj :: Keytrap.Asm
 Tasm /t Keytrap;

b = /ah/fs/o/g2;
c = /ah/fs/o/x/g2;

ascii.obj :: ascii.bas
 bc ascii$c
ascii.exe :: ascii.obj
 link ascii.obj,ascii.exe,Nul,dtfmter.lib+qbx.lib/e;

hexlist.obj :: hexlist.bas
 bc hexlist$c
hexlist.exe :: hexlist.obj
 link hexlist.obj,hexlist.exe,Nul,dtfmter.lib+qbx.lib/e;

bios.obj :: bios.bas
 bc bios/o;
bios.exe :: bios.obj
 link bios.obj,bios.exe,Nul,/e;

copyit.obj :: copyit.bas copyit.inc
 bc copyit$c
copyit1.obj :: copyit1.bas copyit.inc
 bc copyit1$c
copyit.exe :: copyit.obj copyit1.obj
 link copyit.obj+copyit1.obj+keytrap,copyit.exe,Nul,dtfmter.lib+qbx.lib;

count.obj :: count.bas
 bc count$c
count.exe :: count.obj
 link count.obj,count.exe,Nul,dtfmter.lib/e;

deldir.obj :: deldir.bas
 bc deldir$c
deldir.exe :: deldir.obj
 link deldir.obj+keytrap,deldir.exe,Nul,dtfmter.lib+qbx.lib/e;

delete.obj :: delete.bas
 bc delete$c
delete.exe :: delete.obj
 link delete.obj+keytrap,delete.exe,Nul,dtfmter.lib+qbx.lib/e;

dirattr.obj :: dirattr.bas
 bc dirattr$c
dirattr.exe :: dirattr.obj
 link dirattr.obj+keytrap,dirattr.exe,Nul,dtfmter.lib+qbx.lib/e;

dirs.obj :: dirs.bas
 bc dirs$c
dirs.exe :: dirs.obj
 link dirs.obj+keytrap,dirs.exe,Nul,dtfmter.lib+qbx.lib/e;

drives.obj :: drives.bas
 bc drives$c
drives.exe :: drives.obj
 link drives.obj+keytrap,drives.exe,Nul,dtfmter.lib+qbx.lib/e;

drivespc.obj :: drivespc.bas
 bc drivespc$c
drivespc.exe :: drivespc.obj
 link drivespc.obj+keytrap,drivespc.exe,Nul,dtfmter.lib+qbx.lib/e;

fatfree.obj :: fatfree.bas
 bc fatfree$c
fatfree.exe :: fatfree.obj
 link fatfree.obj,fatfree.exe,Nul,dtfmter.lib+qbx.lib/e;

fatfree2.obj :: fatfree2.bas
 bc fatfree2$c
fatfree2.exe :: fatfree2.obj
 link fatfree2.obj,fatfree2.exe,Nul,dtfmter.lib+qbx.lib/e;

fatfree3.obj :: fatfree3.bas
 bc fatfree3$c
fatfree3.exe :: fatfree3.obj
 link fatfree3.obj,fatfree3.exe,Nul,dtfmter.lib+qbx.lib/e;

findcode.obj :: findcode.bas
 bc findcode$b
findcode.exe :: findcode.obj
 link findcode.obj,findcode.exe,Nul,vbdos.lib/e;

findvar.obj :: findvar.bas
 bc findvar$b
findvar.exe :: findvar.obj
 link findvar.obj,findvar.exe,Nul,vbdos.lib/e;

finddoc.obj :: finddoc.bas
 bc finddoc$b
finddoc.exe :: finddoc.obj
 link finddoc.obj,finddoc.exe,Nul,vbdos.lib/e;

findy.obj :: findy.bas
 bc findy$c
findy.exe :: findy.obj
 link findy.obj+keytrap,findy.exe,Nul,dtfmter.lib+qbx.lib/e;

freedisk.obj :: freedisk.bas
 bc freedisk$c
freedisk.exe :: freedisk.obj
 link freedisk.obj,freedisk.exe,Nul,dtfmter.lib+qbx.lib/e;

listvols.obj :: listvols.bas
 bc listvols$c
listvols.exe :: listvols.obj
 link listvols.obj+keytrap,listvols.exe,Nul,dtfmter.lib+qbx.lib/e;

lowerdtr.obj :: lowerdtr.bas
 bc lowerdtr$c
lowerdtr.exe :: lowerdtr.obj
 link lowerdtr.obj,lowerdtr.exe,Nul,dtfmter.lib+qbx.lib/e;

makdir.obj :: makdir.bas
 bc makdir$c
makdir.exe :: makdir.obj
 link makdir.obj+keytrap,makdir.exe,Nul,dtfmter.lib+qbx.lib/e;

mkserial.obj :: mkserial.bas
 bc mkserial$c
mkserial.exe :: mkserial.obj
 link mkserial.obj+keytrap,mkserial.exe,Nul,dtfmter.lib+qbx.lib/e;

mkvolbpb.obj :: mkvolbpb.bas
 bc mkvolbpb$c
mkvolbpb.exe :: mkvolbpb.obj
 link mkvolbpb.obj+keytrap,mkvolbpb.exe,Nul,dtfmter.lib+qbx.lib/e;

nameit.obj :: nameit.bas
 bc nameit$c
nameit.exe :: nameit.obj
 link nameit.obj+keytrap,nameit.exe,Nul,dtfmter.lib+qbx.lib/e;

newdir.obj :: newdir.bas
 bc newdir$c
newdir.exe :: newdir.obj
 link newdir.obj+keytrap,newdir.exe,Nul,dtfmter.lib+qbx.lib/e;

newname.obj :: newname.bas
 bc newname$c
newname.exe :: newname.obj
 link newname.obj+keytrap,newname.exe,Nul,dtfmter.lib+qbx.lib/e;

newvol.obj :: newvol.bas
 bc newvol$c
newvol.exe :: newvol.obj
 link newvol.obj+keytrap,newvol.exe,Nul,dtfmter.lib+qbx.lib/e;

parse.obj :: parse.bas
 bc parse$c
parse.exe :: parse.obj
 link parse.obj+keytrap,parse.exe,Nul,dtfmter.lib+qbx.lib/e;

raisedtr.obj :: raisedtr.bas
 bc raisedtr$c
raisedtr.exe :: raisedtr.obj
 link raisedtr.obj,raisedtr.exe,Nul,dtfmter.lib+qbx.lib/e;

rdserial.obj :: rdserial.bas
 bc rdserial$c
rdserial.exe :: rdserial.obj
 link rdserial.obj+keytrap,rdserial.exe,Nul,dtfmter.lib+qbx.lib/e;

rdvolbpb.obj :: rdvolbpb.bas
 bc rdvolbpb$c
rdvolbpb.exe :: rdvolbpb.obj
 link rdvolbpb.obj+keytrap,rdvolbpb.exe,Nul,dtfmter.lib+qbx.lib/e;

readdll2.obj :: readdll2.bas
 bc readdll2$c
readdll2.exe :: readdll2.obj
 link readdll2.obj+keytrap,readdll2.exe,Nul,dtfmter.lib+qbx.lib/e;

rendir.obj :: rendir.bas
 bc rendir$c
rendir.exe :: rendir.obj
 link rendir.obj+keytrap,rendir.exe,Nul,dtfmter.lib+qbx.lib/e;

renvol.obj :: renvol.bas
 bc renvol$c
renvol.exe :: renvol.obj
 link renvol.obj+keytrap,renvol.exe,Nul,dtfmter.lib+qbx.lib/e;

runprog.obj :: runprog.bas
 bc runprog$c
runprog.exe :: runprog.obj
 link swapbas+runprog.obj,runprog.exe,Nul,dtfmter.lib+qbx.lib/e;

setattr.obj :: setattr.bas
 bc setattr$c
setattr.exe :: setattr.obj
 link setattr.obj+keytrap,setattr.exe,Nul,dtfmter.lib+qbx.lib/e;

sorttest.obj :: sorttest.bas
 bc sorttest$c
sorttest.exe :: sorttest.obj
 link sorttest.obj,sorttest.exe,Nul,/e;

stree.obj :: stree.bas
 bc stree$c
stree.exe :: stree.obj
 link stree.obj+keytrap,stree.exe,Nul,dtfmter.lib+qbx.lib/e;

totalspc.obj :: totalspc.bas
 bc totalspc$c
totalspc.exe :: totalspc.obj
 link totalspc.obj+keytrap,totalspc.exe,Nul,dtfmter.lib+qbx.lib/e;

touch.obj :: touch.bas
 bc touch$c
touch.exe :: touch.obj
 link touch.obj+keytrap,touch.exe,Nul,dtfmter.lib+qbx.lib/e;

touchdir.obj :: touchdir.bas
 bc touchdir$c
touchdir.exe :: touchdir.obj
 link touchdir.obj+keytrap,touchdir.exe,Nul,dtfmter.lib+qbx.lib/e;

touchvol.obj :: touchvol.bas
 bc touchvol$c
touchvol.exe :: touchvol.obj
 link touchvol.obj+keytrap,touchvol.exe,Nul,dtfmter.lib+qbx.lib/e;

treedel.obj :: treedel.bas
 bc treedel$c
treedel.exe :: treedel.obj
 link treedel.obj+keytrap,treedel.exe,Nul,dtfmter.lib+qbx.lib/e;

typea.obj :: typea.bas
 bc typea$c
typea.exe :: typea.obj
 link typea.obj+keytrap,typea.exe,Nul,dtfmter.lib+qbx.lib/e;

typey.obj :: typey.bas
 bc typey$c
typey.exe :: typey.obj
 link typey.obj+keytrap,typey.exe,Nul,dtfmter.lib+qbx.lib/e;

whatis.obj :: whatis.bas whatis.inc
 bc whatis$c
whatis1.obj :: whatis1.bas whatis.inc
 bc whatis1$c
whatis.exe :: whatis.obj whatis1.obj
 link whatis.obj+whatis1.obj+keytrap,whatis.exe,Nul,dtfmter.lib+qbx.lib/e;

whereis.obj :: whereis.bas
 bc whereis$c
whereis.exe :: whereis.obj
 link whereis.obj+keytrap,whereis.exe,Nul,dtfmter.lib+qbx.lib/e;

xcount.obj :: xcount.bas
 bc xcount$c
xcount.exe :: xcount.obj
 link xcount.obj+keytrap,xcount.exe,Nul,dtfmter.lib+qbx.lib/e;

xdir.obj :: xdir.bas
 bc xdir$c
xdir.exe :: xdir.obj
 link xdir.obj+keytrap,xdir.exe,Nul,dtfmter.lib+qbx.lib/e;

xtree.obj :: xtree.bas
 bc xtree$c
xtree.exe :: xtree.obj
 link xtree.obj+keytrap,xtree.exe,Nul,dtfmter.lib+qbx.lib/e;

zsort.obj :: zsort.bas
 bc zsort$c
zsort.exe :: zsort.obj
 link zsort.obj+keytrap,zsort.exe,Nul,dtfmter.lib+qbx.lib/e;

ziplook.obj :: ziplook.bas
 bc ziplook/x/o/g2;
ziplook.exe :: ziplook.obj
 link ziplook.obj+zipview.obj,zsort.exe,Nul,dtfmter.lib+qbx.lib/e;
